{{getMsg('Help_YouAreHere')}}:
/
{{page.title}}
{{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}}
{{helpModel.downloadHelpPdfDataStatus}}
Edit
Edits the task specified by ID. The task is replaced with the task definition supplied in the JSON request body.
POST /api/taskplanner/<TaskID>/edit
Updates an existing task. The command requires a JSON task description in the following form:
{ <TASK DEFINITION> }
The available properties of the JSON JSON representation of the task are described on the linked page. The task ID in the URL identifies the task that is updated. The response contains the task ID.
Example Request
# Request POST /api/taskplanner/4w8yavnk046debwrwkcg4dbqh/edit HTTP/1.1 Content-Type: application/json Authorization: Bearer VGhpcyBpcyBqdXN0IGEgZGVtbyBhY2Nlc3MgdG9rZW4u <JSON INPUT> # Response - Task was edited HTTP/1.1 200 OK Content-Type: application/json "4w8yavnk046debwrwkcg4dbqh" # Response - Task does not exist or request has no content HTTP/1.1 404 Not Found
Application Example
# Shell access using curl curl -Lsu "username:password" \ --request POST \ --url "http://127.0.0.1:9000/api/taskplanner/4w8yavnk046debwrwkcg4dbqh/edit" \ --header "content-type: application/json" \ --data "<JSON INPUT>"
